Bug 130357 - New Port: net-mgmt/coovachilli, coova is an access controller, forked from chillispot
Summary: New Port: net-mgmt/coovachilli, coova is an access controller, forked from ch...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-11 01:10 UTC by Sevan Janiyan
Modified: 2009-01-20 12:00 UTC (History)
0 users

See Also:


Attachments
file.shar (29.21 KB, text/plain)
2009-01-11 01:10 UTC, Sevan Janiyan
no flags Details
coovachilli.shar (29.31 KB, application/x-shar)
2009-01-18 17:18 UTC, Sevan Janiyan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2009-01-11 01:10:00 UTC
CoovaChilli is a fork of the now defunct ChilliSpot project. 
Coova builds on the popular features of Chillispot & should be used instead of it.

Fix: attached

Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-01-11 01:36:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Sevan Janiyan 2009-01-18 17:18:41 UTC
Update to the port after discussion with amdmi3 via email
use EXAMPLESDIR instead of DATADIR for sample configs
provide better discription in Makefile comment & pkg-descr
Comment 3 dfilter service freebsd_committer 2009-01-20 11:58:12 UTC
amdmi3      2009-01-20 11:58:00 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt             Makefile 
  Added files:
    net-mgmt/coovachilli Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    net-mgmt/coovachilli/files coovachilli.in ipfw-config.sample 
                               main.conf.sample 
                               patch-conf_Makefile.am 
                               patch-conf_Makefile.in 
                               patch-conf_down.sh.in 
                               patch-conf_functions.in 
                               patch-conf_up.sh.in 
                               patch-coova-chilli.spec.in 
                               patch-src_chilli.c patch-src_dhcp.c 
                               patch-src_main-query.c 
                               patch-src_msgstat.c 
                               patch-src_redir.c patch-src_redir.h 
                               patch-src_system.h patch-src_tun.c 
                               patch-www_Makefile.am 
                               pf.conf.sample 
  Log:
  CoovaChilli is an access controller
  It provides a captive portal / walled garden environment.
  Coova builds on the popular features of the now defunct Chillispot.
  
  WWW: http://www.coova.org/
  
  PR:             130357
  Submitted by:   Sevan Janiyan <venture37 at geeklan dot co dot uk>
  
  Revision  Changes    Path
  1.177     +1 -0      ports/net-mgmt/Makefile
  1.1       +40 -0     ports/net-mgmt/coovachilli/Makefile (new)
  1.1       +3 -0      ports/net-mgmt/coovachilli/distinfo (new)
  1.1       +25 -0     ports/net-mgmt/coovachilli/files/coovachilli.in (new)
  1.1       +71 -0     ports/net-mgmt/coovachilli/files/ipfw-config.sample (new)
  1.1       +29 -0     ports/net-mgmt/coovachilli/files/main.conf.sample (new)
  1.1       +32 -0     ports/net-mgmt/coovachilli/files/patch-conf_Makefile.am (new)
  1.1       +102 -0    ports/net-mgmt/coovachilli/files/patch-conf_Makefile.in (new)
  1.1       +11 -0     ports/net-mgmt/coovachilli/files/patch-conf_down.sh.in (new)
  1.1       +19 -0     ports/net-mgmt/coovachilli/files/patch-conf_functions.in (new)
  1.1       +55 -0     ports/net-mgmt/coovachilli/files/patch-conf_up.sh.in (new)
  1.1       +10 -0     ports/net-mgmt/coovachilli/files/patch-coova-chilli.spec.in (new)
  1.1       +31 -0     ports/net-mgmt/coovachilli/files/patch-src_chilli.c (new)
  1.1       +40 -0     ports/net-mgmt/coovachilli/files/patch-src_dhcp.c (new)
  1.1       +19 -0     ports/net-mgmt/coovachilli/files/patch-src_main-query.c (new)
  1.1       +88 -0     ports/net-mgmt/coovachilli/files/patch-src_msgstat.c (new)
  1.1       +24 -0     ports/net-mgmt/coovachilli/files/patch-src_redir.c (new)
  1.1       +29 -0     ports/net-mgmt/coovachilli/files/patch-src_redir.h (new)
  1.1       +13 -0     ports/net-mgmt/coovachilli/files/patch-src_system.h (new)
  1.1       +88 -0     ports/net-mgmt/coovachilli/files/patch-src_tun.c (new)
  1.1       +11 -0     ports/net-mgmt/coovachilli/files/patch-www_Makefile.am (new)
  1.1       +47 -0     ports/net-mgmt/coovachilli/files/pf.conf.sample (new)
  1.1       +5 -0      ports/net-mgmt/coovachilli/pkg-descr (new)
  1.1       +11 -0     ports/net-mgmt/coovachilli/pkg-message (new)
  1.1       +39 -0     ports/net-mgmt/coovachilli/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Marakasov freebsd_committer 2009-01-20 11:58:15 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!